@echo OFF

call creo_env.bat

SET PWB_SOAPCLIENT_PATH_ARAS=%PWB_CREO_DIR%\bin\PwbArasSoapClient.exe
SET PWB_FILECLIENT_PATH_ARAS=%PWB_CREO_DIR%\bin\PwbArasFileClient.exe

SET PWB_SOAP_CONNECT_TIMEOUT=120
SET PWB_SOAP_RECV_TIMEOUT=3600
SET PWB_SOAP_SEND_TIMEOUT=3600

SET PWB_CLIENT_CFG="DisplayStrings:Warning=Warning,Error=Error,Operation=Operation,New=New;Settings:AutoLogoutAtShutdown=false,AlwaysUpdatePathToRoot=false,ShowUpdateDialogOnlyIfNeeded=false;CustomSettings:Customer=SampleCustomer,Project=SampleProject"


SET PRO_LANG=english
SET CREO_PARAMETRIC_FILE=parametric
SET CREO_PATH="%CREO_VERSION_TOP_DIR%\bin\%CREO_PARAMETRIC_FILE%.exe" "%CREO_VERSION_TOP_DIR%\bin\%CREO_PARAMETRIC_FILE%.psf" %*

REM ----------------------------------------
REM Optional PWB Environment Variables START
REM ----------------------------------------
REM SET PWB_DEBUG=ON

REM ----------------------------------------
REM Optional PWB Environment Variables END
REM ----------------------------------------
if not exist %PWB_XMAP% (
	mkdir %PWB_XMAP%
)
pushd "%PWB_XMAP%"

start "PWB Creo" /B %CREO_PATH%
